Description: Update crontab(5) manpage to match new behaviour
Bug-Debian: https://bugs.debian.org/688716
Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/cron/+bug/1938924
Author: Graham Inggs <ginggs@debian.org>
Last-Update: 2021-08-06

--- a/crontab.5
+++ b/crontab.5
@@ -91,7 +91,7 @@
 .IR cron (8)
 daemon.
 SHELL is set to /bin/sh, and LOGNAME and HOME are set from the /etc/passwd
-line of the crontab's owner.  PATH is set to "/usr/bin:/bin".
+line of the crontab's owner.  PATH is inherited from the environment.
 HOME, SHELL, and PATH may be overridden by settings in the crontab;
 LOGNAME is the user that the job is running from, and may not be changed.
 .PP
@@ -123,8 +123,7 @@
 .B NOT
 override the settings described above nor any settings in the
 .I crontab
-file itself.  Note in particular that if you want a PATH other than
-"/usr/bin:/bin", you will need to set it in the crontab file.
+file itself.
 .PP
 By default, cron will send mail using the mail "Content-Type:" header of
 "text/plain" with the "charset=" parameter set to the charmap / codeset of the
@@ -305,7 +304,8 @@
 # that none of the other crontabs do.
 
 SHELL=/bin/sh
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+# You can also override PATH, but by default, newer versions inherit it from the environment
+#PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
 
 # Example of job definition:
 # .---------------- minute (0 - 59)
